/* 
 Теоретичні питання
 1. Опишіть своїми словами, що таке метод об'єкту
 Це методи для роботи з об'єктом.
 2. Який тип даних може мати значення властивості об'єкта?
 Об'єкта може бути будь-який тип даних(number, string, boolean, undefined і тд.)
 3. Об'єкт це посилальний тип даних. Що означає це поняття?
 Це означає, що коли ми працюємо з об'єктом ми працюємо саме з посиланням на нього, а не з його значеннями.

 Практичні завдання
 1. Створіть об'єкт product з властивостями name, price та discount. Додайте метод для виведення повної ціни товару з урахуванням знижки. Викличте цей метод та результат виведіть в консоль.
 */
 const product ={
    name: "apple",
    price: 10,
    discount: 5,
}
console.log(product.price-product.discount)

/*
2. Напишіть функцію greeting, яка приймає об'єкт з властивостями name та age, і повертає рядок з привітанням і віком,
наприклад "Привіт, мені 30 років".
Попросіть користувача ввести своє ім'я та вік
за допомогою prompt, і викличте функцію gteeting з введеними даними(передавши їх як аргументи). Результат виклику функції виведіть з допомогою alert.
 */

const name = prompt('What is your name?');
const age = prompt('What is your age?');

let obj = {
   name: name,
   age: age
};

function greeting(obj){
   alert("Привіт, мені " + obj.age + " років.");
}

greeting(obj);
